<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:if test="${not empty WERSJA_TT_DEVELOPER && WERSJA_TT_DEVELOPER}">
	<li class="groupHeader">
		Development
	</li>
	<li>
		<stripes:link beanclass="pl.topteam.dps.action.developer.bazyl.MenuBazylaAction" event="index">
			Bazyl - podgląd
		</stripes:link>
	</li>
	<li>
		<stripes:link beanclass="pl.topteam.dps.action.developer.baza.ConstraintAction" event="form">
			Constraint - wyszukiwanie
		</stripes:link>
	</li>
	<li>
		<stripes:link beanclass="pl.topteam.dps.action.developer.raporty.platnosci.ListaRaportowPlatnosciAction" event="lista">
			Raporty płatności
		</stripes:link>
	</li>
	
	<li>
		<a href="#">Testowe</a>
		<ul>
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.developer.test.BirtRaportTestAction" event="test">
					BIRT raport
				</stripes:link>
			</li>
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.developer.test.LargeDataTableAction" event="test">
					Duże tabele danych
				</stripes:link>
			</li>
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.developer.test.LargeDataNgGridAction" event="lista">
					Duże tabele ngGrid
				</stripes:link>
			</li>
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.developer.test.JasperExcelSampleAction" event="przygotujFormatke">
					JasperReports (Excel)
				</stripes:link>
			</li>
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.developer.test.RaportMultiSelectableTestAction" event="test">
					MultiSelectable
				</stripes:link>
			</li>
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.developer.test.POIExcelTestAction" event="przygotujFormatke">
					POI (Excel)
				</stripes:link>
			</li>
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.developer.quartz.task.RescheduleTestJobAction" event="formularz">
					Reschedule TEST job
				</stripes:link>
			</li>
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.developer.test.ZuzycieLekowTestAction" event="formatka">
					Zużycie leków
				</stripes:link>
			</li>
		</ul>
	</li>
	<li>
		<a href="${dpsAppProperties['ttmanager.relative.url']}" target="_ttmanager">TT Manager</a>
	</li>
</c:if>
