<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url beanclass="pl.topteam.dps.action.sprawozdanie.generowanie.gus.ps03.r2012.PunktD172Action" var="akcja172"/>
<script type="text/javascript">
	// przeniesienie z innego DPSu
	function przelicz1_7_2() {
		pokazLoadImage();

		$bledy = $("#przelicz1_7_2Bledy");
		$liczba = $("#przelicz1_7_2Liczba");

		$bledy.html("");
		$.post("${akcja172}",
				"przelicz=1&" + $("select[name^='listaSlKodMPrzyjsciaD172']").serialize(),
				function(jsonObj, textStatus, xhr) {
					if(xhr.getResponseHeader('Ajax-Success')) {
						$liczba.val(jsonObj);
					} else {
						$bledy.html("Wystąpił błąd przy przeliczaniu danych ! |" + jsonObj + "|");
					}

		  			ukryjLoadImage();
				}, "json"
			);
	}
	//
	function przelicz1_7_2Drukuj() {
		// najpierw przelicza
		przelicz1_7_2();

		// później drukuje
		var f = document.createElement("form");
		f.setAttribute('method',"post");
		f.setAttribute('action',"${akcja172}");
		f.setAttribute('target',"_blank");

		// akcja
		var akcja = document.createElement("input");
		akcja.setAttribute('type',"text");
		akcja.setAttribute('name',"drukuj");
		akcja.setAttribute('value', "1");
		f.appendChild(akcja);

		var tabIdSlow = $("select[name^='listaSlKodMPrzyjsciaD172']").val();
		for (var i = 0; i < tabIdSlow.length; ++i) {
			var elem = document.createElement("input");
			elem.setAttribute('type',"text");
			elem.setAttribute('name',"listaSlKodMPrzyjsciaD172[]");
			elem.setAttribute('value', tabIdSlow[i]);
			f.appendChild(elem);
		}
		console.log(f);

		f.submit();
	}
</script>
<a name="dzial1"></a>
<div class="row">
	<div class="label">
		<label>
			typ placówki
		</label>
	</div>
	<div class="input">
		<stripes:hidden name="daneSprawozdania['@D1_1'][0]"/>
		<c:choose>
			<c:when test="${not empty actionBean.daneSprawozdania['@D1_1'][0]}">
				<c:set var="D1_1Opis" value=""/>
				<c:forEach items="${ttFn:enumValues('pl.topteam.dps.sprawozdanie.gus.ps03.constants.Dzial1_1')}" var="enumValue">
					<c:if test="${actionBean.daneSprawozdania['@D1_1'][0] == enumValue.value}">
						<c:set var="D1_1Opis" value="${enumValue.key}"/>
					</c:if>
				</c:forEach>
				${D1_1Opis}
			</c:when>
			<c:otherwise>
				<span class="err">NIE WYBRANO W DANYCH DPSu !!!</span>
			</c:otherwise>
		</c:choose>
		<stripes:errors field="D1_1"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			rodzaj placówki
		</label>
	</div>
	<div class="input">
		<stripes:hidden name="daneSprawozdania['@D1_2'][0]"/>
		<c:choose>
			<c:when test="${not empty actionBean.daneSprawozdania['@D1_2'][0]}">
				<c:set var="D1_2Opis" value=""/>
				<c:forEach items="${ttFn:enumValues('pl.topteam.dps.sprawozdanie.gus.ps03.constants.Dzial1_2')}" var="enumValue">
					<c:if test="${actionBean.daneSprawozdania['@D1_2'][0] == enumValue.value}">
						<c:set var="D1_2Opis" value="${enumValue.typJednostki.opis}"/>
					</c:if>
				</c:forEach>
				${D1_2Opis}
			</c:when>
			<c:otherwise>
				<span class="err">NIE WYBRANO W DANYCH DPSu !!!</span>
			</c:otherwise>
		</c:choose>
		<stripes:errors field="D1_2"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			placówka dla
		</label>
	</div>
	<div class="input">
		<c:forEach items="${actionBean.listaProfiliJednostki}" var="profilDps" varStatus="i">
			<stripes:hidden name="listaProfiliJednostki[${i.count - 1}].rodzaj"/>
		</c:forEach>
		<ol type="I">
			<c:forEach items="${actionBean.daneSprawozdania['@D1_3']}" var="profilDps" varStatus="i">
				<stripes:hidden name="daneSprawozdania['@D1_3'][${i.count - 1}]"/>
				<c:set var="D1_3Opis" value=""/>
				<c:forEach items="${ttFn:enumValues('pl.topteam.dps.sprawozdanie.gus.ps03.constants.Dzial1_3')}" var="enumValue">
					<c:if test="${profilDps == enumValue.value}">
						<c:set var="D1_3Opis" value="${enumValue.rodzajJednostki.opis}"/>
					</c:if>
				</c:forEach>
				<li>
					${D1_3Opis}
				</li>
			</c:forEach>
		</ol>
		<stripes:errors field="D1_3"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			organ prowadzący
		</label>
	</div>
	<div class="input">
		<stripes:hidden name="daneSprawozdania['@D1_4'][0]"/>
		<c:choose>
			<c:when test="${not empty actionBean.daneSprawozdania['@D1_4'][0]}">
				<c:set var="D1_4Opis" value=""/>
				<c:forEach items="${ttFn:enumValues('pl.topteam.dps.sprawozdanie.gus.ps03.constants.Dzial1_4')}" var="enumValue">
					<c:if test="${actionBean.daneSprawozdania['@D1_4'][0] == enumValue.value}">
						<c:set var="D1_4Opis" value="${enumValue.organProwadzacy.opis}"/>
					</c:if>
				</c:forEach>
				${D1_4Opis}
			</c:when>
			<c:otherwise>
				<span class="err">NIE WYBRANO W DANYCH DPSu !!!</span>
			</c:otherwise>
		</c:choose>
		<stripes:errors field="D1_4"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			przystosowanie jednostki do<br/>
			potrzeb osób niepełnosprawnych
		</label>
	</div>
	<div class="input">
		<stripes:hidden name="daneSprawozdania['@D1_5'][0]"/>
		<c:choose>
			<c:when test="${not empty actionBean.daneSprawozdania['@D1_5'][0]}">
				<c:set var="D1_5Opis" value=""/>
				<ol>
					<c:forEach items="${actionBean.daneSprawozdania['@D1_5'][0]}">
						<c:forEach items="${ttFn:enumValues('pl.topteam.dps.sprawozdanie.gus.ps03.constants.Dzial1_5')}" var="enumValue">
							<c:if test="${actionBean.daneSprawozdania['@D1_5'][0] == enumValue.value}">
								<c:set var="D1_5Opis" value="${enumValue.jednostkaUdogodnienia.opis}"/>
							</c:if>
						</c:forEach>
						<li>${D1_5Opis}</li>
					</c:forEach>
				</ol>
			</c:when>
			<c:otherwise>
				<span class="err">NIE WYBRANO W DANYCH DPSu !!!</span>
			</c:otherwise>
		</c:choose>
		<stripes:errors field="D1_5"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			liczba miejsc (stan na 31 XII)
		</label>
	</div>
	<div class="input">
		<stripes:hidden name="daneSprawozdania['@D1_6#1'][0]"/>
		<c:choose>
			<c:when test="${not empty actionBean.daneSprawozdania['@D1_6#1'][0]}">
				${actionBean.daneSprawozdania['@D1_6#1'][0]}
			</c:when>
			<c:otherwise>
				<span class="err">NIE WYBRANO W DANYCH DPSu !!!</span>
			</c:otherwise>
		</c:choose>
		<stripes:errors field="D1_6#1"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			liczba osób oczekujących<br/>
			(stan na 31 XII)
		</label>
	</div>
	<div class="input">
		<stripes:text class="numberInteger required" name="daneSprawozdania['@D1_7#1'][0]" size="6"></stripes:text>
		<stripes:link class="button" beanclass="pl.topteam.dps.action.raporty.sql.SqlEmbeddedRaportAction" event="podgladDanych"
				title="Podgląd danych" target="_blank">
			<stripes:param name="plik" value="sprawozdania${FILE_SEPARATOR_CHAR}gus${FILE_SEPARATOR_CHAR}ps03${FILE_SEPARATOR_CHAR}2012${FILE_SEPARATOR_CHAR}D1_7_1.sql"/>
			<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/sprawozdanie/generowanie/gus/sp03/2012/blad.jsp')}"></stripes:param>
			&nbsp;?&nbsp;
		</stripes:link>
		<stripes:errors field="D1_7#1"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			liczba osób po raz pierwszy<br/>
			umieszczonych w ciągu roku
		</label>
	</div>
	<div class="input">
		<c:forEach items="${actionBean.listaSlKodMPrzyjsciaD172}" var="slowoPrzyjscie" varStatus="i">
			<stripes:hidden name="listaSlKodMPrzyjsciaD172[${i.count - 1}]"/>
		</c:forEach>
		<stripes:text id="przelicz1_7_2Liczba" class="numberInteger required" name="daneSprawozdania['@D1_7#2'][0]" size="6"></stripes:text>
		<stripes:button name="drukuj172" class="noLoadImage" onclick="przelicz1_7_2Drukuj();" value=" ? "/>
		<stripes:errors field="D1_7#2"/>
		<div style="clear: both; padding-top: 20px;">
			<div id="przelicz1_7_2Bledy" style="color: tomato;"></div>
			<stripes:select name="listaSlKodMPrzyjsciaD172" multiple="true" title="--- wybierz ---"
					value="${actionBean.listaSlKodMPrzyjsciaD172}">
				<stripes:options-collection collection="${kodMiejscaPrzyjsciaDoDPSSlownik}" label="wartString" value="id"/>
			</stripes:select>

			<stripes:button name="przelicz172" onclick="przelicz1_7_2();" value="Przelicz"/>
		</div>
	</div>
</div>
