<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">

	<stripes:layout-component name="content">
		<h3>Raport roczny płatności 'WPŁACONO'</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.developer.raporty.platnosci.RaportRocznyWplaconoAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				<fieldset>
					<div class="row">
						<div class="label">
							<label>
								rok
							</label>
						</div>
						<div class="input">
							<stripes:text name="mapaParametrow['rok']" class="rok required" size="7"
									title="Rok, za który generujemy raport"/>
							<stripes:errors field="mapaParametrow['rok']"/>
						</div>
					</div>

					<c:set var="klasaWymagane" value=""/>
					<c:set var="miesiacReadOnly" value="${false}"/>
					<c:set var="poleMiesiac" value="mapaParametrow['miesiac']"/>
					<%@ include file="/jsp/templatePages/nazwyMiesiecy.jsp" %>

					<div class="row">
						<div class="label">
							<label>
								id mieszkanca
							</label>
						</div>
						<div class="input">
							<stripes:text name="mapaParametrow['idMieszkanca']" class="required" size="7"
									title="Identyfikator mieszkańca, dla którego generujemy raport"/>
							<stripes:errors field="mapaParametrow['idMieszkanca']"/>
						</div>
					</div>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:submit name="generujRaport" value="Generuj"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>