SELECT
	CAST(X as INTEGER) as MIESIAC,
	COALESCE(SUM(w.KWOTA), 0.00) as KWOTA_WPLACIL
FROM
	SYSTEM_RANGE(1, 12)
	LEFT OUTER JOIN WPLATA w ON w.MIESIAC = X
		AND w.MIESZKANIEC_ID = ${idMieszkanca}
		AND w.ROK = ${rok}
GROUP BY X
ORDER BY X

