<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<link rel="stylesheet" type="text/css" href="${root}/css/ngGrid.css" />
		<style>
			.gridStyle {
			    border: 1px solid rgb(212,212,212);
			    width: 500px; 
			    height: 300px;
			}
		</style>
		
		<%@ include file="/jsp/biblioteki/mainAngular.jsp" %>
		
		<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/jmesa.js"></script>
		
		<stripes:url var="_LargeDataNgGridActionURL" beanclass="pl.topteam.dps.action.developer.test.LargeDataNgGridAction" prependContext="true" addSourcePage="false"/>
		<script type="text/javascript" src="${root}/js/angular/controller/dev/grid-big-data.js"></script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<h3>Large data ng-table (test)</h3>
		<div class="formContainer" ng-app="ttDPS">
			<div ng-controller="bigDataGridCtrl" >
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<div>
					<div class="gridStyle" style="float: left; width: 60%;" ng-grid="gridOptions"></div>
					<div class="selectedItems" style="float: left; margin-left: 5px;">{{mySelections}}</div>
					<div style="clear: both;"></div>
				</div>
			</div>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
