<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>

<c:set var="root" value="${pageContext.request.contextPath}" />

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="content">
		<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp"%>

		<c:set var="clientLocale" value="${pageContext.request.locale}" />
		<c:set var="clientLocales" value="${pageContext.request.locales}" />

		Preferowane locale: ${clientLocale.displayName}<br/>
		Preferowana locale narodowość: ${clientLocale.displayCountry}<br/>
		Preferowany locale język: ${clientLocale.displayLanguage}
		<h3>Inne dostępne</h3>
		<c:forEach var="loc" items="${clientLocales}" begin="1">
			Locale: ${loc.displayName}<br/>
			Locale narodowość: ${loc.displayCountry}<br/>
			Locale język: ${loc.displayLanguage}
			<br/><br/>
		</c:forEach>
	</stripes:layout-component>
</stripes:layout-render>